
QGIS Application - Feature request #3472

Enhancement: create by length/angle / Rotate feature

2011-02-06 07:46 AM - dougtape -

Status: Closed

Priority: Low

Assignee:

Category: Digitising

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 13532

Description

I am looking for some feature creation tools similar to those available in a proprietary software that I think will help promote QGIS to new

users.

What I am looking for are:

 The option when creating lines (or sections of a polygon) to specify the angle, and the ability to specify the length of each segment being

created.

Also the ability to rotate polygons and lines after creation.  This will assist in exactly placing objects on a map.

These could be implemented on a right click while digitizing each new node of a line or polygon.

Another nice feature would be a status in the bottom status bar (near coordinates) of how long the segment you are creating is.

History

#1 - 2012-05-10 01:31 AM - alobo -

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

Making polygons by fixed length exists in plugin Enhanced polygon capture.

Rotate is possible with plugin Rectangles, Ovals and diamonds. Perhaps

the rotation tool should be promoted to become a more standard digitizing

tool (i.e., like the Move Features). It also should be

universal (i.e., right now you cannot rotate a grid or even a line, just polygons).

Agus

#2 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2013-01-16 01:33 AM - vinayan Parameswaran

Rotate tool is in the Advanced Editing toolbar in the current dev version.

#4 - 2015-11-19 08:08 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- % Done changed from 0 to 100
Hello, bug triage...

in QGIS 2.13 master (and probably for previous versions) you natively have:

    -  the ability to rotate polygons and polylines after creation with the "rotation tool" which uses a dedicated window to specify the angle (you can of course

make the rotation with the mouse).

    -  for each point added in a polyline or a polygon, you can specify the angle (relative or not to the last segment) and the length of each segment being

created with the "Advanced Digitizing Panel".

    -  the length of the segment being created is indicated in the "Advanced Digitizing Panel" in live.

Every point of your feature request is implemented and I am closing it.
